# Generated by Django 4.1.4 on 2022-12-17 23:02

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("game", "0025_tile_is_climbable"),
    ]

    operations = [
        migrations.AlterField(
            model_name="npc",
            name="is_merchant",
            field=models.BooleanField(blank=True, default=False),
        ),
        migrations.AlterField(
            model_name="npc",
            name="name_known",
            field=models.BooleanField(blank=True, default=False),
        ),
        migrations.CreateModel(
            name="Item",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", models.CharField(max_length=100)),
                ("icon", models.ImageField(blank=True, null=True, upload_to="icons/")),
                ("description", models.TextField(blank=True, null=True)),
                (
                    "location",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="items",
                        to="game.mapnode",
                    ),
                ),
            ],
        ),
    ]
